Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(437)

Unified Diff: build/linux/pkg-config-wrapper

Issue 199016: linux: improve support for cross-compiling (Closed)
Patch Set: Address review comments Created 11 years, 3 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « build/common.gypi ('k') | build/linux/rewrite_dirs.py » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/linux/pkg-config-wrapper
diff --git a/build/linux/pkg-config-wrapper b/build/linux/pkg-config-wrapper
new file mode 100755
index 0000000000000000000000000000000000000000..abd34efbcfe0eaa9e556c0e00b4941922038c4ec
--- /dev/null
+++ b/build/linux/pkg-config-wrapper
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+root="$1"
+if [ -z "$root" ]
+then
+ echo "usage: $0 /path/to/sysroot [pkg-config-arguments]" >&2
+ exit 1
+fi
+
+rewrite=`dirname $0`/rewrite_dirs.py
+
+shift
+config_path=$root/usr/lib/pkgconfig:$root/usr/share/pkgconfig
+PKG_CONFIG_PATH=$config_path pkg-config "$@" | $rewrite $root
« no previous file with comments | « build/common.gypi ('k') | build/linux/rewrite_dirs.py » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698